Download it now!
Bug 55931 - Autofit Text breaks subscript / superscript in Impress
Summary: Autofit Text breaks subscript / superscript in Impress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Jan Holesovsky
URL:
Whiteboard: target:3.7.0 target:3.6.4 target:4.1....
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-12 15:51 UTC by Jan Holesovsky
Modified: 2020-02-21 09:18 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Presentation showing the behavior. (19.33 KB, application/vnd.oasis.opendocument.presentation)
2012-10-12 15:51 UTC, Jan Holesovsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2012-10-12 15:51:41 UTC
Created attachment 68492 [details]
Presentation showing the behavior.

See the attached presentation - when you open it, the subscript is not readable.  But uncheck the "Autofit Text" - and voila, it appears :-)

The reason is that we are using font metrics to compute the stretch ratio for autofit; but that collides with nPropr property of SvxFont - it is then counted twice, ie. in the case of nPropr == 25, we actually behave as if it was much less; and worse, only in the horizontal direction.
Comment 1 Not Assigned 2012-10-12 15:57:02 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fa694a21b806ed7837c1337ec49a4b299c478393

fdo#55931 Fix renderding of subscript/superscript with Autofit Text.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Jan Holesovsky 2012-10-12 16:01:27 UTC
This was actually created only to have a nice place for the testdoc ;-) - closing as fixed.
Comment 3 Not Assigned 2012-10-13 22:43:28 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4339c9e6a0e01acecd0ce687a8d0c20128cdd7cf&g=libreoffice-3-6

fdo#55931 Fix renderding of subscript/superscript with Autofit Text.


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jan Holesovsky 2012-10-15 07:41:19 UTC
Comment on attachment 68492 [details]
Presentation showing the behavior.

Changed mime type of the attachment.
Comment 5 Not Assigned 2013-02-25 14:10:03 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=804f47a893359baa0b72f1a72df3d79302225654

fdo#55931, fdo#57956: Fix both autofit and stretched width.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2013-02-25 14:32:17 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8518173f0b8dc73eece82be959e65dba2768d33c&h=libreoffice-4-0

fdo#55931, fdo#57956: Fix both autofit and stretched width.


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2013-02-25 15:51:45 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3728944078e53e8dfef08eb445e741a59979b23e&h=libreoffice-4-0-1

fdo#55931, fdo#57956: Fix both autofit and stretched width.


It will be available already in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-06-27 16:09:41 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0211e1912c93247ccbf4e28ea344aab01d0eadc9&h=libreoffice-3-6-7

fdo#55931, fdo#57956: Fix both autofit and stretched width.


It will be available already in LibreOffice 3.6.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-07-09 10:55:57 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=abf00b58df6a3665c626c626a8b3671b55a5909c&h=libreoffice-3-6

fdo#55931, fdo#57956: Fix both autofit and stretched width.


It will be available in LibreOffice 3.6.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.